#ifndef INTERVALDIALOG_H
#define INTERVALDIALOG_H

#include <QDialog>
#include <QtSql>
#include <QSqlQueryModel>

namespace Ui {
class intervalDialog;
}

class intervalDialog : public QDialog
{
    Q_OBJECT

public:
    explicit intervalDialog(QWidget *parent = 0);
    ~intervalDialog();
    void setInfoLabelText(QString string);

    QSqlDatabase m_db;
    QString mode;


private slots:
    void on_pushButton_clicked();

private:
    Ui::intervalDialog *ui;
    QSqlTableModel    *m_table_model       ;
    QSqlQuery         *m_query             ;
    void tableView();
    void ticketsMode(QDate from, QDate to);
    void hallIncomeMode(QDate from, QDate to);
    void filmIncomeMode(QDate from, QDate to);
};

#endif // INTERVALDIALOG_H
