#ifndef EDITFILMDIALOG_H
#define EDITFILMDIALOG_H

#include <QDialog>
#include <QtSql>
#include <QSqlQueryModel>

namespace Ui {
class editFilmDialog;
}

class editFilmDialog : public QDialog
{
    Q_OBJECT

public:
    explicit editFilmDialog(QWidget *parent = 0);
    ~editFilmDialog();

    QSqlDatabase m_db;


private slots:
    void on_addFilmButton_clicked();

    void on_deleteFilbButton_clicked();

    void update_tableView(const QModelIndex &index);

private:
    Ui::editFilmDialog *ui;
    QSqlTableModel    *m_table_model       ;
    QSqlQuery         *m_query             ;
    void tableView();
};

#endif // EDITFILMDIALOG_H
